%{?nodejs_find_provides_and_requires}

%global packagename module-deps
%global enable_tests 1

Name: nodejs-%{packagename}
Version: 3.9.1
Release: 1%{?dist}.3
Summary: Walk the dependency graph to generate json output that can be fed into browser-pack
License: MIT
URL: https://github.com/substack/module-deps
# Fetching source from Github because tarball from NPM registry lacks
# files needed for tests.
Source0: https://github.com/substack/%{packagename}/archive/v%{version}/%{packagename}-%{version}.tar.gz
# Patch to make tests work with older version of tap.
Patch0: nodejs-module-deps-tap-test.patch
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs-packaging
BuildRequires: npm(JSONStream) >= 1.0.3
BuildRequires: npm(JSONStream) < 2.0.0
BuildRequires: npm(browser-resolve) >= 1.7.0
BuildRequires: npm(browser-resolve) < 2.0.0
BuildRequires: npm(concat-stream) >= 1.4.5
BuildRequires: npm(concat-stream) < 2.0.0
BuildRequires: npm(defined) >= 1.0.0
BuildRequires: npm(defined) < 2.0.0
BuildRequires: npm(detective) >= 2.3.0
BuildRequires: npm(duplexer2) >= 0.0.2
BuildRequires: npm(inherits) >= 2.0.1
BuildRequires: npm(inherits) < 3.0.0
BuildRequires: npm(parents) >= 1.0.0
BuildRequires: npm(parents) < 2.0.0
BuildRequires: npm(readable-stream) >= 1.1.13
BuildRequires: npm(resolve) >= 1.1.3
BuildRequires: npm(resolve) < 2.0.0
BuildRequires: npm(stream-combiner2) >= 1.0.0
BuildRequires: npm(stream-combiner2) < 2.0.0
BuildRequires: npm(subarg) >= 1.0.0
BuildRequires: npm(subarg) < 2.0.0
BuildRequires: npm(through2) >= 1.0.0
BuildRequires: npm(xtend) >= 4.0.0
BuildRequires: npm(xtend) < 5.0.0
%if 0%{?enable_tests}
BuildRequires: npm(browser-pack) >= 5.0.0
BuildRequires: npm(tap) >= 0.4.4
%endif

%description
Walk the dependency graph to generate json output that can be fed into
browser-pack.


%prep
%setup -q -n %{packagename}-%{version}
%patch0 -p1
%nodejs_fixdep concat-stream '^1.4.5'
%nodejs_fixdep detective '>=2.3.0'
%nodejs_fixdep duplexer2 '>=0.0.2'
%nodejs_fixdep readable-stream '>=1.1.13'
%nodejs_fixdep through2 '>=1.0.0'
%nodejs_fixdep stream-combiner2 '^1.0.0'
%nodejs_fixdep --dev browser-pack '>=5.0.0'
%nodejs_fixdep --dev tap '>=0.4.4'


%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js bin \
        %{buildroot}%{nodejs_sitelib}/%{packagename}
mkdir -p %{buildroot}%{_bindir}
ln -sf %{nodejs_sitelib}/%{packagename}/bin/cmd.js \
       %{buildroot}%{_bindir}/module-deps

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/tap test/*.js
%endif


%files
%license LICENSE
%doc *.markdown example
%{nodejs_sitelib}/%{packagename}
%{_bindir}/module-deps

%changelog
* Mon Sep 26 2016 Oleg Girko <ol@infoserver.lv> - 3.9.1-1
- Initial package.
